LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::system::SystemShellExecuteFlags Constant Group Referencepublished

Different settings for the SystemShellExecute service. More...

## Variables
const long | DEFAULTS = 0
| Uses the default settings for executing commands. More...
const long | NO_SYSTEM_ERROR_MESSAGE = 1
| Prevents the display of system error message boxes if the method com::sun::star::system::XSystemShellExecute::execute() fails. More...
const long | URIS_ONLY = 2
| Only allows opening of absolute URI references. More...

## Detailed Description

Different settings for the SystemShellExecute service.

## Variable Documentation

## ◆ DEFAULTS

const long DEFAULTS = 0

Uses the default settings for executing commands.

## ◆ NO_SYSTEM_ERROR_MESSAGE

const long NO_SYSTEM_ERROR_MESSAGE = 1

Prevents the display of system error message boxes if the method com::sun::star::system::XSystemShellExecute::execute() fails.

## ◆ URIS_ONLY

const long URIS_ONLY = 2

Only allows opening of absolute URI references.

Since
  LibreOffice 3.6